#ifndef _CHRONOPTICS_TOF_VISIBILITY_H_
#define _CHRONOPTICS_TOF_VISIBILITY_H_

#if defined(_WIN32) || defined(__CYGWIN__)
#ifdef TOF_EXPORTS
#ifdef __GNUC__
#define TOF_EXPORT __attribute__((dllexport))
#else
#define TOF_EXPORT __declspec(dllexport)
#endif
#else
#ifdef __GNUC__
#define TOF_EXPORT __attribute__((dllimport))
#else
#define TOF_EXPORT __declspec(dllimport)
#endif
#endif
#else
#if __GNUC__ >= 4
#define TOF_EXPORT __attribute__((visibility("default")))
#else
#define TOF_EXPORT
#endif
#endif

#endif
